summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO1
-rwxr-xr-xbin/reproducible_maintenance.sh2
2 files changed, 1 insertions, 2 deletions
diff --git a/TODO b/TODO
index 4c63f7ad..86df3fd8 100644
--- a/TODO
+++ b/TODO
@@ -130,7 +130,6 @@ The plan is to run a jenkins.d.o host, which is maintained by DSA, but we are ma
** check rbuild logs for "DIFFOSCOPE='E: Failed to change to directory /tmp: Permission denied' and deal with those
* higher prio:
-** on the build nodes, /srv/reproducible-results/ doesnt get cleaned up, each one has 100k dirs in it…
** reenable disorderfs setup, check that it *always* unmounts + cleans up nicely
** pkg pages
*** new table in pkg/test history page: schedule - if that package is currently scheduled
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index dddc463c..eb5769a6 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -120,7 +120,7 @@ OLDSTUFF=$(find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -nam
if [ ! -z "$OLDSTUFF" ] ; then
echo
echo "Old temp directories found in $REP_RESULTS"
- find $REP_RESULTS -maxdepth 1 -type d -name "tmp.*" -mtime +1 -exec rm -rv {} \; || true
+ find $REP_RESULTS -maxdepth 1 -type d -mtime +1 -name "tmp.*" -o -name "rbuild*" -exec rm -rv {} \; || true
echo "These old directories have been deleted."
echo
DIRTY=true